<?php
/*
Plugin Name: WPRPG Members (Official Sample)
Plugin URI: http://wordpress.org/extend/plugins/wprpg/
Version: 1.0.1
WPRPG: 1.0.11
Author: <a href="http://tagsolutions.tk">Tim G.</a>
Description: Adds a Player list
Text Domain: wp-rpg
License: GPL3
*/
if ( !class_exists( 'wpRPG_Members' ) ) {
    class wpRPG_Members extends wpRPG {
        
        function __construct( ) {
            parent::__construct();
            add_shortcode( 'list_players', array(
                 $this,
                'listPlayers' 
            ) );
        }
        
        function listPlayers( ) {
            global $wpdb, $current_user;
			$result = '';
			if(file_exists(get_template_directory() . 'templates/wprpg/list_players.php'))
				include (get_template_directory() . 'templates/wprpg/list_players.php');
			else
				include (__DIR__ .'/templates/list_players.php');
			$result = list_players();
			if ( get_option ( 'show_wpRPG_Version_footer' ) )	{
				$result .= '<footer style="display:block;margin: 0 2%;border-top: 1px solid #ddd;padding: 20px 0;font-size: 12px;text-align: center;color: #999;">';
				$result .= 'Powered by <a href="http://tagsolutions.tk/wordpress-rpg/">wpRPG '. WPRPG_VERSION .'</a></footer>';
			}
            return $result;
        }
        
        static function listPlayers_getLoggedIn_Actions( $uid ) {
            $result = apply_filters( 'listPlayers_Loggedin_Actions', $uid );
            return $result;
        }
        
    }
}
